CUDA Driver API (PDF) - v9.0.176 (older) - Last updated September 2, 2017 - Send Feedback

## 5.11. CUdevprop Struct Reference

## [Data types used by CUDA driver]

Legacy device properties

### Public Variables

int SIMDWidth
int clockRate
int maxGridSize[3]
int maxThreadsDim[3]
int maxThreadsPerBlock
int memPitch
int regsPerBlock
int sharedMemPerBlock
int textureAlign
int totalConstantMemory

### Variables

int CUdevprop::SIMDWidth [inherited]

  Warp size in threads

int CUdevprop::clockRate [inherited]

  Clock frequency in kilohertz

int CUdevprop::maxGridSize[3] [inherited]

  Maximum size of each dimension of a grid

int CUdevprop::maxThreadsDim[3] [inherited]

  Maximum size of each dimension of a block

int CUdevprop::maxThreadsPerBlock [inherited]

  Maximum number of threads per block

int CUdevprop::memPitch [inherited]

  Maximum pitch in bytes allowed by memory copies

int CUdevprop::regsPerBlock [inherited]

  32-bit registers available per block

int CUdevprop::sharedMemPerBlock [inherited]

  Shared memory available per block in bytes

int CUdevprop::textureAlign [inherited]

  Alignment requirement for textures

int CUdevprop::totalConstantMemory [inherited]

  Constant memory available on device in bytes